BoxesArea (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.component

## Class BoxesArea

- java.lang.Object
- - org.gcube.application.reporting.component.AbstractComponent
  - - org.gcube.application.reporting.component.BoxesArea

- All Implemented Interfaces:
    IsMedia, IsSequentiable, ReportComponent

      public class BoxesArea
      extends AbstractComponent
      implements IsSequentiable, IsMedia

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `COMP_HEIGHT, COMP_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoxesArea(String name, List<Box> values, boolean allowMultiselection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ReportComponent>` | `getChildren()`
    `org.gcube.portlets.d4sreporting.common.shared.BasicComponent` | `getModelComponent()`
    `String` | `getStringValue()`
    `ReportComponentType` | `getType()`
    `boolean` | `hasChildren()`
    `boolean` | `isMultiSelectionEnabled()`
    `String` | `toString()`

    - ### Methods inherited from class org.gcube.application.reporting.component.AbstractComponent

      `addProperty, convertProperties, getId, getProperties, setId, setProperties, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `getId, getProperties, setId, setProperties, setProperties`

- - ### Constructor Detail

    - #### BoxesArea

          public BoxesArea(String name,
                           List<Box> values,
                           boolean allowMultiselection)

  - ### Method Detail

    - #### isMultiSelectionEnabled

          public boolean isMultiSelectionEnabled()

    - #### getType

          public ReportComponentType getType()

      Specified by:
        `getType` in interface `ReportComponent`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ReportComponent`
      Specified by:
        `hasChildren` in class `AbstractComponent`

    - #### getChildren

          public List<ReportComponent> getChildren()

      Specified by:
        `getChildren` in interface `ReportComponent`
      Specified by:
        `getChildren` in class `AbstractComponent`

    - #### getStringValue

          public String getStringValue()

      Specified by:
        `getStringValue` in interface `ReportComponent`
      Specified by:
        `getStringValue` in class `AbstractComponent`

    - #### getModelComponent

          public org.gcube.portlets.d4sreporting.common.shared.BasicComponent getModelComponent()

      Specified by:
        `getModelComponent` in interface `ReportComponent`
      Specified by:
        `getModelComponent` in class `AbstractComponent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All Rights Reserved.